databaseChangeLog:
  - changeSet:
      id: 15082023-02
      author: abdulla
      changes:
        - createTable:
            tableName: branch
            columns:
              - column:
                  name: id
                  type: BIGINT
                  autoIncrement: true
                  constraints:
                    primaryKey: true
                    nullable: false
              - column:
                  name: branch_name
                  type: varchar(255)
              - column:
                  name: m_id
                  type: BIGINT
              - column:
                  name: a_id
                  type: BIGINT
            foreignKeys:
              - addForeignKeyConstraint:
                  baseTableName: branch
                  baseColumnNames: m_id
                  referencedTableName: market
                  referencedColumnNames: id
                  constraintName: fk_branch_market
                  onDelete: CASCADE
                  onUpdate: SET NULL
              - addForeignKeyConstraint:
                  baseTableName: branch
                  baseColumnNames: a_id
                  referencedTableName: address
                  referencedColumnNames: id
                  constraintName: fk_branch_address
                  onDelete: CASCADE
                  onUpdate: SET NULL
